package cn.com.poc.expose.dto.agent_data_analyze;

import cn.com.poc.data_analyze.domain.DataAnalyzeTimeRange;

import java.util.List;

/**
 * @author alex.yao
 * @date 2024/12/11
 */
public class GetAgentDataTrendRequestDto {

    private String agentId;
    private List<String> channel;

    private DataAnalyzeTimeRange timeRange;

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public List<String> getChannel() {
        return channel;
    }

    public void setChannel(List<String> channel) {
        this.channel = channel;
    }

    public DataAnalyzeTimeRange getTimeRange() {
        return timeRange;
    }

    public void setTimeRange(DataAnalyzeTimeRange timeRange) {
        this.timeRange = timeRange;
    }
}
